DefaultHttpResponseParserFactory (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class DefaultHttpResponseParserFactory

    java.lang.Object
      org.apache.http.impl.conn.DefaultHttpResponseParserFactory

All Implemented Interfaces:
  org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultHttpResponseParserFactory

extends Object
implements org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse>

Default factory for response message parsers.

Since:
  4.3

Field Summary
`static DefaultHttpResponseParserFactory` | `INSTANCE`

Constructor Summary
`DefaultHttpResponseParserFactory()`
`DefaultHttpResponseParserFactory(org.apache.http.HttpResponseFactory responseFactory)`
`DefaultHttpResponseParserFactory(org.apache.http.message.LineParser lineParser, org.apache.http.HttpResponseFactory responseFactory)`

Method Summary
`org.apache.http.io.HttpMessageParser<org.apache.http.HttpResponse>` | `create(org.apache.http.io.SessionInputBuffer buffer, org.apache.http.config.MessageConstraints constraints)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DefaultHttpResponseParserFactory INSTANCE

Constructor Detail

### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(org.apache.http.message.LineParser lineParser,
                                            org.apache.http.HttpResponseFactory responseFactory)

### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(org.apache.http.HttpResponseFactory responseFactory)

### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory()

Method Detail

### create

    public org.apache.http.io.HttpMessageParser<org.apache.http.HttpResponse> create(org.apache.http.io.SessionInputBuffer buffer,
                                                                                     org.apache.http.config.MessageConstraints constraints)

  Specified by:
    `create` in interface `org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.